using CalculateCS.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CalculateCS
{
    public class CRC
    {
        public ushort FBCalculateCS(string crcIndex, UInt32 inputlen, byte cslen, byte[] bytes)
        {
            ushort crc = 0;

            switch (crcIndex)
            {
                case "CRC_ABC":
                    crc = ComputeChecksum_ABC(bytes, inputlen, &cslen);  // Define this function in the same class
                    break;
                case "CRC_XYZ":
                    crc = ComputeChecksum_XYZ(bytes, inputlen, &cslen); // Define this function in the same class
                    break;
            }

            return crc;
        }
    }
}
